Bug 204925 - [si_LK] Cursor Navigation is not correct for key input, but ok with unicode
[si_LK] Cursor Navigation is not correct for key input, but ok with unicode
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
bzcl34nup
: i18n
Depends On:
Blocks: 209973
  Show dependency treegraph
 
Reported: 2006-09-01 09:20 EDT by A S Alam
Modified: 2013-07-02 20:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:48:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
scim-sinhala vs raw unicode input (19.38 KB, image/png)
2006-09-01 09:24 EDT, A S Alam
no flags Details
Gedit vs. Kedit Rendering (34.78 KB, image/png)
2007-05-03 13:57 EDT, A S Alam
no flags Details

  None (edit)
Description A S Alam 2006-09-01 09:20:17 EDT
Description of problem:
LANG=Sinhala (si_LK) need manual set up in /etc/sysconfig/i18n
UNICODE:
Keyboard: SCIM-sinhala (from scim)


Combinatin Unicode:
0DBD+0DAF+0DCA+0DAF+0DDA

Version-Release number of selected component (if applicable):
qt-3.3.6-12

How reproducible:
Everytime during input with scim-sinhala

Steps to Reproduce:
1. open kedit with si_LK.UTF-8 envir
2. type with scim-sinhala following keys
3. ldWdee
4. Select RawUnicode (for correct Result)

Actual results:
Cursor Navigation is wrong, it is in-between  word

Expected results:
cursor should be at last like you type in Raw-unicode input

Additional info:
this is effecting Kbabel and other kde application
Comment 1 A S Alam 2006-09-01 09:24:13 EDT
Created attachment 135381 [details]
scim-sinhala vs raw unicode input
Comment 2 Akira TAGOH 2006-10-04 09:25:14 EDT
Is that testcase correct? doesn't it need ZWJ?
Comment 4 A S Alam 2007-05-03 13:49:41 EDT
Updating New Translator for Sinhala,
Comment 5 A S Alam 2007-05-03 13:57:40 EDT
Created attachment 154053 [details]
Gedit vs. Kedit Rendering
Comment 6 A S Alam 2007-05-03 14:01:05 EDT
Rendering in Gedit and kedit is different,
Raw-input is ok, but scim sinhala is providing different output in Text.
->Copy/Paste Make no different, same output.

->Real issue, for which this bug file, Navigation: gedit also have same issue

->ZWJ: as gedit has same output with Scim-sinhala and Rawcode, so no ZWJ.

thanks

Comment 7 Danishka Navin 2007-05-04 03:30:17 EDT
Hi, 
I have notice that, but try following stapes.

1. open kedit with si_LK.UTF-8 envir
2. type with scim-sinhala following keys
3. ldwdee
 
If you use w instead of W, its working.
Comment 8 Danishka Navin 2007-11-21 04:51:19 EST
tested again and cursor is appearing correctly.

Danishka Navin

Comment 9 Bug Zapper 2008-04-03 14:06:32 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 10 Bug Zapper 2008-05-06 20:48:10 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.